Subject: bug#1975: Reusing dead shell buffers

From: Jose E. Marchesi <[email-masked]>
Date: Sat, 10 Apr 2010 22:05:03 +0200 (CEST)

> Just a tiny patch for shell.
    >
    > The patch assumes that the person launching M-xshell while in a
    > shell-mode buffer with a terminated process really wants to launch a
    > shell process in the current buffer instead to switch to "*shell*".
    >
    > The semantics of C-uM-xshell are not changed by the patch.
    
    Could you explain why you think this is necessary?  The current
    behavior, where M-x shell reuses the *shell* buffer, seems fine.

Just consider the situation where you use different shells
simultaneously with meaningful names.  For example, debugging an
application: shell-daemon, shell-mmi and shell-gdb.

If I want to restart the shell that is running in shell-gdb, I usually
Ctrl-D to terminate it and then I reuse the buffer.  Without the patch
I have to C-uM-xshell and then type shell-gdb.